Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.html
Class HtmlDataTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  javax.faces.component.html.HtmlDataTable

All Implemented Interfaces:
  NamingContainer, StateHolder

public class HtmlDataTable
extends UIData

Version:
  $Revision: 290979 $ $Date: 2005-09-22 12:52:51 -0400 (Thu, 22 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: mbr $)

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIData
`COMPONENT_FAMILY`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlDataTable()`

Method Summary
`void` | `encodeBegin(FacesContext context)`
`java.lang.String` | `getBgcolor()`
`int` | `getBorder()`
`java.lang.String` | `getCellpadding()`
`java.lang.String` | `getCellspacing()`
`java.lang.String` | `getColumnClasses()`
`java.lang.String` | `getDir()`
`java.lang.String` | `getFooterClass()`
`java.lang.String` | `getFrame()`
`java.lang.String` | `getHeaderClass()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getRowClasses()`
`java.lang.String` | `getRules()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getSummary()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getWidth()`
`void` | `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(FacesContext context)`
`void` | `setBgcolor(java.lang.String bgcolor)`
`void` | `setBorder(int border)`
`void` | `setCellpadding(java.lang.String cellpadding)`
`void` | `setCellspacing(java.lang.String cellspacing)`
`void` | `setColumnClasses(java.lang.String columnClasses)`
`void` | `setDir(java.lang.String dir)`
`void` | `setFooterClass(java.lang.String footerClass)`
`void` | `setFrame(java.lang.String frame)`
`void` | `setHeaderClass(java.lang.String headerClass)`
`void` | `setLang(java.lang.String lang)`
`void` | `setOnclick(java.lang.String onclick)`
`void` | `setOndblclick(java.lang.String ondblclick)`
`void` | `setOnkeydown(java.lang.String onkeydown)`
`void` | `setOnkeypress(java.lang.String onkeypress)`
`void` | `setOnkeyup(java.lang.String onkeyup)`
`void` | `setOnmousedown(java.lang.String onmousedown)`
`void` | `setOnmousemove(java.lang.String onmousemove)`
`void` | `setOnmouseout(java.lang.String onmouseout)`
`void` | `setOnmouseover(java.lang.String onmouseover)`
`void` | `setOnmouseup(java.lang.String onmouseup)`
`void` | `setRowClasses(java.lang.String rowClasses)`
`void` | `setRules(java.lang.String rules)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setSummary(java.lang.String summary)`
`void` | `setTitle(java.lang.String title)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class javax.faces.component.UIData
`broadcast, encodeEnd, getClientId, getFamily, getFirst, getFooter, getHeader, getRowCount, getRowData, getRowIndex, getRows, getValue, getVar, isRowAvailable, processDecodes, processUpdates, processValidators, queueEvent, setFirst, setFooter, setHeader, setRowIndex, setRows, setValue, setValueBinding, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlDataTable

    public HtmlDataTable()

Method Detail

### encodeBegin

    public void encodeBegin(FacesContext context)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `UIData`
  Throws:
    `java.io.IOException`
  See Also:
    `UIData.encodeBegin(javax.faces.context.FacesContext)`

### setBgcolor

    public void setBgcolor(java.lang.String bgcolor)

### getBgcolor

    public java.lang.String getBgcolor()

### setBorder

    public void setBorder(int border)

### getBorder

    public int getBorder()

### setCellpadding

    public void setCellpadding(java.lang.String cellpadding)

### getCellpadding

    public java.lang.String getCellpadding()

### setCellspacing

    public void setCellspacing(java.lang.String cellspacing)

### getCellspacing

    public java.lang.String getCellspacing()

### setColumnClasses

    public void setColumnClasses(java.lang.String columnClasses)

### getColumnClasses

    public java.lang.String getColumnClasses()

### setDir

    public void setDir(java.lang.String dir)

### getDir

    public java.lang.String getDir()

### setFooterClass

    public void setFooterClass(java.lang.String footerClass)

### getFooterClass

    public java.lang.String getFooterClass()

### setFrame

    public void setFrame(java.lang.String frame)

### getFrame

    public java.lang.String getFrame()

### setHeaderClass

    public void setHeaderClass(java.lang.String headerClass)

### getHeaderClass

    public java.lang.String getHeaderClass()

### setLang

    public void setLang(java.lang.String lang)

### getLang

    public java.lang.String getLang()

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOnclick

    public java.lang.String getOnclick()

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setRowClasses

    public void setRowClasses(java.lang.String rowClasses)

### getRowClasses

    public java.lang.String getRowClasses()

### setRules

    public void setRules(java.lang.String rules)

### getRules

    public java.lang.String getRules()

### setStyle

    public void setStyle(java.lang.String style)

### getStyle

    public java.lang.String getStyle()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public java.lang.String getStyleClass()

### setSummary

    public void setSummary(java.lang.String summary)

### getSummary

    public java.lang.String getSummary()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### setWidth

    public void setWidth(java.lang.String width)

### getWidth

    public java.lang.String getWidth()

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIData`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD